pipeline {
    agent any

    environment {
        def VERSION = "1111-SNAPSHOT"
    }

    stages {
        stage('Build') {
            steps {
               script {
                    echo "First version is ${VERSION}"
               }
               script {
                    echo "Second version is ${VERSION}"
               }
               script {
                    def qwe = returnHello()
                    echo qwe
                    printHello()
               }
            }
        }
    }

    triggers {
        gitlab(triggerOnPush: true, triggerOnMergeRequest: true, branchFilterType: 'All')
    }
}

def printHello() {
    echo "hello"
}

def returnHello() {
    return "Hello"
}